gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Layout.HPaned

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A container with two panes arranged horizontally

Synopsis

- data HPaned
- class PanedClass o => HPanedClass o
- castToHPaned :: GObjectClass obj => obj -> HPaned
- gTypeHPaned :: GType
- toHPaned :: HPanedClass o => o -> HPaned
- hPanedNew :: IO HPaned

# Detail

The HPaned widget is a container widget with two children arranged horizontally. The division between the two panes is adjustable by the user by dragging a handle. See `Paned` for details.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Paned
    | +----HPaned

# Types

data HPaned Source #

#### Instances

Instances details

Eq HPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: HPaned -> HPaned -> Bool Source # (/=) :: HPaned -> HPaned -> Bool Source #
Ord HPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: HPaned -> HPaned -> Ordering Source # (<) :: HPaned -> HPaned -> Bool Source # (<=) :: HPaned -> HPaned -> Bool Source # (>) :: HPaned -> HPaned -> Bool Source # (>=) :: HPaned -> HPaned -> Bool Source # max :: HPaned -> HPaned -> HPaned Source # min :: HPaned -> HPaned -> HPaned Source #
GObjectClass HPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: HPaned -> GObject Source # unsafeCastGObject :: GObject -> HPaned Source #
ContainerClass HPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types
HPanedClass HPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types
PanedClass HPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass HPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class PanedClass o => HPanedClass o Source #

#### Instances

Instances details

HPanedClass HPaned Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToHPaned :: GObjectClass obj => obj -> HPaned Source #

gTypeHPaned :: GType Source #

toHPaned :: HPanedClass o => o -> HPaned Source #

# Constructors

hPanedNew :: IO HPaned Source #

Create a new `HPaned`